import { ServerImplemented, IDictionary, ServerParam } from "./lib/browser/serverImplemented";
import { ChatRoomApiProvider } from "./lib/browser/chatRoomApiProvider";
import { ServerEventListener } from "./lib/browser/serverEventListener";

import { HttpStatusCode } from "./lib/utils/httpStatusCode";
import { TokenDecode } from "./lib/utils/tokenDecode";

export let Stalk = Object.create(null);
Stalk = ServerImplemented; // require("./lib/browser/serverImplemented");
Stalk.chatRoom = ChatRoomApiProvider; // require("./lib/browser/chatRoomApiProvider");
Stalk.events = ServerEventListener;

Stalk.utils.token = TokenDecode;
Stalk.utils.statusCode = HttpStatusCode;

// module.exports = Stalk;
